在PXI-8145上安装FlexRIO组件时碰到的磁盘已满错误



主要软件:
主要软件版本: 3.3.0
主要软件修正版本: N/A
次要软件: N/A

问题: 我正尝试在一台采用FAT文件系统的控制器上安装FlexRIO相关支持软件。当安装NI-RIO驱动时,弹出一个磁盘已满的错误,导致安装失败。为什么会这样?

解答:

为了能够支持FlexRIO,在安装NI-RIO驱动时,一些预编译好的 LabVIEW FPGA 比特文件也会被安装。这些比特文件能够让我们在还没有向FlexRIO中下载程序前就能够识别以及一个FlexRIO适配器模块以及对其进行编程。为了支持 LabVIEW 2009,这些bit文件采用了.lvbitx 的后缀。而这些后缀名正好违反了某些采用FAT文件系统的控制器中的一些命名及转换规则。

这种情况在PXI-8145控制器中最为常见。为了防止这种情况的发生,请先安装LabVIEW RT,重启后再安装NI-RIO。若先安装NI-RIO,它将会修改一些系统组建以便允许.lvbitx 的后缀文件的安装,从而导致出错。



相关链接: Knowledgebase 3X8C1M7U: Should I Format my RT Controller to FAT or FAT32 File System?

附件:





报告日期: 01/06/2010
最近更新: 08/18/2010
文档编号: 5559ISDP